@page
@model WebApp.Pages_Cars.DeleteModel

@{
    ViewData["Title"] = "Delete";
}

<h1>Delete</h1>

<h3>Are you sure you want to delete this?</h3>
<div>
    <hr/>
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Car.Model!.Brand)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Car.Model!.Brand!.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Car.Model)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Car.Model!.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Car.RegistrationNumber)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Car.RegistrationNumber)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Car.ManufactureYear)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Car.ManufactureYear)
        </dd>
    </dl>

    <form method="post">
        <input type="hidden" asp-for="Car.CarId"/>
        <input type="submit" value="Delete" class="btn btn-danger"/> |
        <a asp-page="./Index">Back to List</a>
    </form>
</div>